KintsugiKintsugi
API reference / Get product categories

Get product categories

GET/v1/products/categories

The Get Product Categories API retrieves all product categories. This endpoint helps users understand and select the appropriate categories for their products.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Response

namestringRequired

Name of the product category (e.g., PHYSICAL, SERVICE, DIGITAL, MISCELLANEOUS)

subcategoriesProductSubCategory[]Required

List of subcategories associated with the product category

200

Successfully retrieved product categories

401

Unauthenticated request.

404

Resource Not Found

422

Validation error

500

Internal server error

cURL
GET /v1/products/categories
-H "x-api-key: ***"
-H "x-organization-id: ***"
Response
[
{
"name": "Physical",
"subcategories": [
{
"name": "Oral Hygiene",
"description": "",
"example": "",
"is_frequent": false
},
{
"name": "Medicines - Over the Counter",
"description": "",
"example": "",
"is_frequent": false
}
]
},
{
"name": "Digital",
"subcategories": [
{
"name": "Custom Software Downloaded",
"description": "",
"example": "",
"is_frequent": false
},
{
"name": "B2B SaaS",
"description": "",
"example": "",
"is_frequent": true
}
]
}
]